Loading...
Searching...
No Matches
ojph::coded_lists Struct Reference

`#include <ojph_mem.h>`

## Public Member Functions

| coded_lists (ui32 size)

## Public Attributes

coded_lists * | next_list
ui32 | buf_size
ui32 | avail_size
ui8 * | buf

## Detailed Description

Definition at line 201 of file ojph_mem.h.

## Constructor & Destructor Documentation

## coded_lists()

ojph::coded_lists::coded_lists | ( | ui32 | size | ) |

inline

Definition at line 203 of file ojph_mem.h.

References avail_size, buf, buf_size, coded_lists(), and next_list.

Referenced by coded_lists().

## Member Data Documentation

## avail_size

ui32 ojph::coded_lists::avail_size

Definition at line 212 of file ojph_mem.h.

Referenced by ojph::local::bb_put_bit(), ojph::local::bb_terminate(), coded_lists(), ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), ojph::local::precinct::prepare_precinct(), and ojph::local::precinct::write().

## buf

ui8* ojph::coded_lists::buf

Definition at line 213 of file ojph_mem.h.

Referenced by ojph::local::bb_put_bit(), ojph::local::bb_read_chunk(), ojph::local::bb_terminate(), coded_lists(), ojph::local::ojph_encode_codeblock32(), ojph::local::ojph_encode_codeblock64(), and ojph::local::precinct::write().

## buf_size

ui32 ojph::coded_lists::buf_size

Definition at line 211 of file ojph_mem.h.

Referenced by ojph::local::bb_put_bit(), ojph::local::bb_terminate(), coded_lists(), ojph::local::precinct::prepare_precinct(), and ojph::local::precinct::write().

## next_list

coded_lists* ojph::coded_lists::next_list

Definition at line 210 of file ojph_mem.h.

Referenced by ojph::local::bb_put_bit(), coded_lists(), and ojph::local::precinct::write().

The documentation for this struct was generated from the following file:

- /build/openjph-z1hyMm/openjph-0.28.1/src/core/openjph/ojph_mem.h